package org.klomp.eclipse.team.sftp.client;

import java.net.URL;

import org.klomp.eclipse.team.sftp.target.SftpSite;

public class SftpServerLocation
{
    private String hostname;
    private int port;
    private String serverCmd;
    private String username;
    private String password;
    private int sshVersion;

    public SftpServerLocation(
        String hostname,
        int port,
        int sshVersion,
        String serverCmd,
        String username,
        String password)
    {

        this.hostname = hostname;
        this.port = port;
        this.sshVersion = sshVersion;
        this.serverCmd = serverCmd;
        this.username = username;
        this.password = password;
    }

    public SftpServerLocation(URL url, int sshVersion, String serverCmd, String username, String password)
    {

        this(
            url.getHost(),
            url.getPort() == -1 ? SftpSite.DEFAULT_PORT : url.getPort(),
            sshVersion,
            serverCmd,
            username,
            password);
    }

    public String getHostname()
    {
        return hostname;
    }

    public int getPort()
    {
        return port;
    }

    public String getUsername()
    {
        return username;
    }

    public String getPassword()
    {
        return password;
    }

    public String toString()
    {
        StringBuffer buf = new StringBuffer("sftp://"); //$NON-NLS-1$
        buf.append(username);
        buf.append(':');
        buf.append(password);
        buf.append('@');
        buf.append(hostname);
        buf.append(':');
        buf.append(Integer.toString(port));
        return buf.toString();
    }
    public String getServerCmd()
    {
        return serverCmd;
    }

    public int getSshVersion()
    {
        return sshVersion;
    }

    public void setSshVersion(int sshVersion)
    {
        this.sshVersion = sshVersion;
    }

}
