package org.klomp.eclipse.team.sftp.util;

import org.apache.log4j.Logger;
import org.klomp.eclipse.team.sftp.client.ISftpClientListener;
import org.klomp.eclipse.team.sftp.target.SftpSite;
import org.klomp.sftp.packet.SftpPacket;

public class DebugSftpClientListener implements ISftpClientListener
{
    private final static Logger log = Logger.getLogger(DebugSftpClientListener.class);

    private SftpSite sftpSite;

    public DebugSftpClientListener(SftpSite sftpSite)
    {
        this.sftpSite = sftpSite;
    }

    public void connectionEstablished(String host, int port, String username)
    {
        log.debug("** Connection Established [" + sftpSite.getSshVersion() + "] **");
    }

    public void connectionClosed()
    {
        log.debug("-- Connection Closed [" + sftpSite.getSshVersion() + "] --");
    }

    public void packetSent(SftpPacket packet)
    {
        log.debug("Sent packet:     " + packet);
    }

    public void packetReceived(SftpPacket packet)
    {
        log.debug("Received packet: " + packet);
    }

}