package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpData extends SftpPacket
{
    private byte[] data;

    FxpData(int version)
    {
        super(SftpPacket.FXP_DATA, version);
    }

    FxpData(int version, int id)
    {
        super(SftpPacket.FXP_DATA, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        data = DataIO.readString(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeString(payload, data);
    }

    public String toString()
    {
        return super.toString() + " (length: " + (data == null ? 0 : data.length) + ")";
    }

    public byte[] getData()
    {
        return data;
    }

    public void setData(byte[] data)
    {
        this.data = data;
    }
}