package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpFstat extends SftpPacket
{
    private byte[] handle;
    private int flags;

    FxpFstat(int version)
    {
        super(SftpPacket.FXP_FSTAT, version);
    }

    FxpFstat(int version, int id)
    {
        super(SftpPacket.FXP_FSTAT, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        handle = DataIO.readString(payload);
        flags = DataIO.readInt(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeString(payload, handle);
        DataIO.writeInt(payload, flags);
    }
    public int getFlags()
    {
        return flags;
    }

    public byte[] getHandle()
    {
        return handle;
    }

    public void setFlags(int flags)
    {
        this.flags = flags;
    }

    public void setHandle(byte[] handle)
    {
        this.handle = handle;
    }
}