package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpMkDir extends SftpPacket
{
    private String path;
    private Attrs attrs;

    FxpMkDir(int version, int id)
    {
        super(SftpPacket.FXP_MKDIR, version, id);
    }

    FxpMkDir(int version)
    {
        super(SftpPacket.FXP_MKDIR, version);
    }

    public String toString()
    {
        return "FxpMkDir path=" + path + ", " + super.toString();
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        path = DataIO.readStringUTF8(payload);
        attrs = new Attrs();
        attrs.readAttrs(payload, version);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeStringUTF8(payload, path);
        attrs.writeAttrs(payload, version);
    }

    public Attrs getAttrs()
    {
        return attrs;
    }

    public String getPath()
    {
        return path;
    }

    public void setAttrs(Attrs attrs)
    {
        this.attrs = attrs;
    }

    public void setPath(String path)
    {
        this.path = path;
    }
}