package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpReadDir extends SftpPacket
{
    private byte[] handle;

    FxpReadDir(int version)
    {
        super(SftpPacket.FXP_READDIR, version);
    }

    FxpReadDir(int version, int id)
    {
        super(SftpPacket.FXP_READDIR, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        handle = DataIO.readString(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeString(payload, handle);
    }
    public byte[] getHandle()
    {
        return handle;
    }

    public void setHandle(byte[] handle)
    {
        this.handle = handle;
    }
}