package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpRename extends SftpPacket
{
    private String oldPath;
    private String newPath;

    FxpRename(int version)
    {
        super(SftpPacket.FXP_RENAME, version);
    }

    FxpRename(int version, int id)
    {
        super(SftpPacket.FXP_RENAME, version, id);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        id = DataIO.readInt(payload);
        oldPath = DataIO.readStringUTF8(payload);
        newPath = DataIO.readStringUTF8(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, id);
        DataIO.writeStringUTF8(payload, oldPath);
        DataIO.writeStringUTF8(payload, newPath);
    }

    public String getNewPath()
    {
        return newPath;
    }

    public String getOldPath()
    {
        return oldPath;
    }

    public void setNewPath(String newPath)
    {
        this.newPath = newPath;
    }

    public void setOldPath(String oldPath)
    {
        this.oldPath = oldPath;
    }

}