package org.klomp.sftp.protocol;

import org.klomp.eclipse.team.sftp.SftpException;

public abstract class SftpFile extends Operations {

    protected final byte[] handle;
    protected final String path;

    protected SftpFile(SftpConnection connection, String path, byte[] handle) {
        super(connection);
        this.path = path;
        this.handle = handle;
    }

    public void close() throws SftpException {
        closeHandle(handle);
    }

    /**
     * Do not modify the result of this method.
     */
    public byte[] getHandle() {
        return handle;
    }

    public String getPath() {
        return path;
    }

}
